Home

Ping

POST
https://apt-grpc.nownodes.io/aptos.indexer.v1.DataService/Ping

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Checks the availability of the Aptos transaction data service.

Full method:

Copied!
aptos.indexer.v1.DataService/Ping

Endpoint: apt-grpc.nownodes.io (gRPC, TLS). Pass the API key in the api-key metadata header.

Example:

Copied!
grpcurl -insecure -H 'api-key: YOUR_API_KEY' -d '{"knownLatestVersion":"0","pingLiveDataService":true}' 'apt-grpc.nownodes.io' aptos.indexer.v1.DataService/Ping

Response example above: Live data service response example.

Historical data service response example:

Copied!
{
  "historicalDataServiceInfo": {
    "chainId": "1",
    "timestamp": {
      "seconds": "1710000000",
      "nanos": 0
    },
    "knownLatestVersion": "250000000"
  }
}

The response contains either:

Copied!
liveDataServiceInfo

or:

Copied!
historicalDataServiceInfo

Body

application/json
object

Response

200OK

A successful response.